import '../../../../../../food_delivery_client.dart';

class WCustomModalBottomSheet extends StatelessWidget {
  const WCustomModalBottomSheet({super.key, required this.child});

  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Material(
      color: AppColors.cFFFFFF,
      borderRadius: AppUtils.kBorderRadiusTop20,
      child: SafeArea(
        child: SizedBox(
          width: context.w,
          child: Column(
            children: [
              10.verticalSpace,
              SizedBox(
                height: 6,
                width: 100,
                child: DecoratedBox(
                  decoration: BoxDecoration(
                    borderRadius: AppUtils.kBorderRadius6,
                    color: AppColors.cE6E6E6.newWithOpacity(.6),
                  ),
                ),
              ),
              10.verticalSpace,
              child,
            ],
          ),
        ),
      ),
    );
  }
}
